Skip to main content
PATCH
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required

Workspace ID to update (path).

Example:

"workspace_01HXKD2E5NQM3T9AYWCF133E3Q"

Body

application/json
metadata
object

UpdateAccountResourceMetadata contains the user-provided fields for updating an account-scoped resource. Read-only fields (id, account_id, profile_id) are excluded since they are set by the server.

spec
object
updateMask
string<field-mask>

Fields to update.

Response

OK

metadata
object
required

AccountResourceMetadata is used to represent a resource that is associated to an account but not to a workspace.

spec
object
required
status
enum<string>
read-only

Lifecycle status of the workspace. Archived workspaces reject all requests scoped to them. Server-populated.

Available options:
STATUS_ENABLED,
STATUS_DISABLED,
STATUS_ARCHIVED
info
object

The workspace information